Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class GetBusinessDetail

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.GetBusinessDetail

Direct Known Subclasses:
  GetBusinessDetailExt

public class GetBusinessDetail
extends Request

The get_businessDetail message is used to obtain detail information about one or more business entities. To retrieve the information, one or more business keys are required.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`GetBusinessDetail()` Class Constructor

Method Summary
`void` | `addBusinessKey(java.lang.String businessKey)` Add a new BusinessKey to the set of current BusinessKey
`java.util.Vector` | `getBusinessKeyVector()` Gets the current set of BusinessKey
`void` | `setBusinessKeyVector(java.util.Vector keyVector)` Sets a new set of BusinessKeys

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBusinessDetail

    public GetBusinessDetail()

  Class Constructor

Method Detail

### addBusinessKey

    public void addBusinessKey(java.lang.String businessKey)

  Add a new BusinessKey to the set of current BusinessKey

  Parameters:
    `businessKey` - New BusinessKey

### setBusinessKeyVector

    public void setBusinessKeyVector(java.util.Vector keyVector)

  Sets a new set of BusinessKeys

  Parameters:
    `keyVector` - New BusinessKey set

### getBusinessKeyVector

    public java.util.Vector getBusinessKeyVector()

  Gets the current set of BusinessKey

  Returns:
    Current set of BusinessKey

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference